Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xml.serialize
Class EncodingInfo

    java.lang.Object
      weblogic.apache.xml.serialize.EncodingInfo

Direct Known Subclasses:
  SieveEncodingInfo

public class EncodingInfo
extends Object

This class represents an encoding.

Constructor Summary
`EncodingInfo(String mimeName, int lastPrintable)` Creates new `EncodingInfo` instance.
`EncodingInfo(String mimeName, String javaName, int lastPrintable)` Creates new `EncodingInfo` instance.

Method Summary
`String` | `getName()` Returns a MIME charset name of this encoding.
`Writer` | `getWriter(OutputStream output)` Returns a writer for this encoding based on an output stream.
`boolean` | `isPrintable(int ch)` Checks whether the specified character is printable or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingInfo

    public EncodingInfo(String mimeName,
                        int lastPrintable)

  Creates new `EncodingInfo` instance.

### EncodingInfo

    public EncodingInfo(String mimeName,
                        String javaName,
                        int lastPrintable)

  Creates new `EncodingInfo` instance.

Method Detail

### getName

    public String getName()

  Returns a MIME charset name of this encoding.

### getWriter

    public Writer getWriter(OutputStream output)
                     throws UnsupportedEncodingException

  Returns a writer for this encoding based on an output stream.

  Returns:
    A suitable writer
  Throws:
    `UnsupportedEncodingException` - There is no convertor to support this encoding

### isPrintable

    public boolean isPrintable(int ch)

  Checks whether the specified character is printable or not.

  Parameters:
    `ch` - a code point (0-0x10ffff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD